# 宏觀經濟指標列表

`GET` `/v2/quote/macrodata/{indicator_id}`

列出 Longbridge 支持的宏觀經濟指標，可按國家/地區篩選。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `country` | string | No | 按國家篩選。省略則返回所有國家。 |
| `keyword` | string | No | 按指標名稱模糊搜索（不區分大小寫） |
| `offset` | integer | No | 分頁偏移量。默認：0 |
| `limit` | integer | No | 每頁最大記錄數。默認：100，最大：1000 |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v2/quote/macrodata/{indicator_id}' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `indicator` | object | Yes | 指標詳情 |
| `indicator.indicator_id` | integer | No | 指標 ID |
| `indicator.indicator_name` | string | No | 指標名稱 |
| `indicator.unit` | string | No | 數值單位 |
| `indicator.description` | string | No | 指標描述 |
| `indicator.market` | string | No | 市場/國家代碼 |
| `indicator.frequence` | string | No | 發佈頻率，如 `day`、`month` |
| `indicator.importance` | integer | No | 重要程度（1=低，2=中，3=高） |
| `indicator.indicator_data` | object[] | No | 時間序列數據點 |
| `indicator.indicator_data[].actual_data` | string | No | 實際值 |
| `indicator.indicator_data[].previous_data` | string | No | 前值 |
| `indicator.indicator_data[].estimated_data` | string | No | 預期值 |
| `indicator.indicator_data[].published_time` | string | No | 發佈時間（ISO 8601） |
| `indicator.indicator_data[].observation_date` | string | No | 觀測日期（YYYY-MM-DD） |
| `total` | integer | No | 匹配的指標總數 |

### Response JSON Example

```json
{
  "count": 619,
  "list": [
    {
      "indicator_code": "61744",
      "country": "US",
      "name": "Non-Farm Payroll",
      "periodicity": "Monthly",
      "describe": "Employment situation report...",
      "importance": 3
    }
  ]
}
```
